<%@ Page Language="vb" AutoEventWireup="false" Codebehind="WebForm1.aspx.vb" Inherits="CustomControlsDemo.WebForm1"%>
<%@ Register TagPrefix="cc1" Namespace="CustomControlLibrary" Assembly="CustomControlLibrary" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>
		<title>WebForm1</title>
		<meta name="GENERATOR" content="Microsoft Visual Studio.NET 7.0">
		<meta name="CODE_LANGUAGE" content="Visual Basic 7.0">
		<meta name="vs_defaultClientScript" content="JavaScript">
		<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
	</HEAD>
	<body>
		<form id="Form1" method="post" runat="server">
			<H1>Custom Control Demo</H1>
			<P>This form contains one instance of all the controls defined in the 
				CustomControlLibrary DLL.
			</P>
			<P>&nbsp;</P>
			<P>The <STRONG>FirstControl</STRONG> control worls much like a default push button. 
				It is just an example of how you can implement a property and override the 
				Render method.</P>
			<P>
				<cc1:FirstControl id="FirstControl1" runat="server" Text="ABC"></cc1:FirstControl></P>
			<P>The <STRONG>ComboBoxEx</STRONG> control works like a regular DropDownList 
				control, and demonstrates how you can create controls that support the 
				AutoPostBack property and retrieve the new value when a postback occurs.</P>
			<P>
				<cc1:ComboBoxEx id="ComboBoxEx1" runat="server" Width="232px" BackColor="#80FF80"></cc1:ComboBoxEx>&nbsp;&nbsp;
				<asp:Label id="lblSelIndex" runat="server" ForeColor="Red"></asp:Label></P>
			<P>The <STRONG>TableControl</STRONG> control is mainly used to implement an 
				assortment of properties and see how they appear in the Properties window. Most 
				of these custom properties, such as CellFont, CellBorderStyle, ImageUrl, and 
				CellStyle, are ignored in the HTML text generation.</P>
			<P>
				<cc1:TableControl id="TableControl1" runat="server" Width="263px" Height="118px" BorderColor="White" CellBorderStyle="Dotted"></cc1:TableControl></P>
			<P>The <STRONG>NavigateRibbon</STRONG> control shows how you can have a custom 
				control do a postback and trap the event on the server side.</P>
			<P>
				<cc1:NavigateRibbon id="NavigateRibbon1" runat="server"></cc1:NavigateRibbon>&nbsp;&nbsp;&nbsp;
				<asp:Label id="lblPageNumber" runat="server" ForeColor="Red"></asp:Label></P>
			<P>The <STRONG>Multiplier</STRONG> control is an example of a composite control 
				that builds on the rendering features of other, simpler Web Forms controls.</P>
			<P>
				<cc1:Multiplier id="Multiplier1" runat="server" Width="221px"></cc1:Multiplier></P>
			<P>The <STRONG>MultiplierEx</STRONG> control is similar to the previous one, but 
				performs the multiplication on the client if possible.</P>
			<P>
				<cc1:MultiplierEx id="MultiplierEx1" runat="server" Width="220px"></cc1:MultiplierEx></P>
			<P>&nbsp;</P>
		</form>
	</body>
</HTML>
